Bug 206099 - kernel-xen fails to boot
kernel-xen fails to boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 00:07 EDT by Naoki
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 04:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Entries from /var/log/messages file showing kernel errors. (27.09 KB, text/plain)
2006-09-18 21:33 EDT, Naoki
no flags Details

  None (edit)
Description Naoki 2006-09-12 00:07:32 EDT
Description of problem:
kernel-xen fails to boot.  Does not reach file system initialization phase.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.17-1.2617.2.1.fc6 & kernel-xen-2.6.17-1.2630.fc6

How reproducible:
Consistent.

Steps to Reproduce:
1. Boot to kernel-xen
  
Actual results:
Hangs after printing "GSI 21 sharing vector 0xC8 and IRQ 21".

Expected results:
Normal boot process.

Additional info:
I have run this about six times and the xen kernel just will not start.
Non-xen kernels (kernel-2.6.17-1.2617.2.1.fc6 & kernel-2.6.17-1.2630.fc6) do
boot correctly with the only oddity being a pause for 15 seconds on "ata2: port
is slow to respond" which I don't recall seeing before.

The hardware is a Dell Optiplex GX620 with intel pentium D CPU and 945G chipset.
Comment 1 Naoki 2006-09-18 21:31:38 EDT
Good news, and bad, kernel-xen-2.6.17-1.2647.fc6 booted but randomly crashes.

Sep 19 10:10:14 localhost kernel:  <1>Fixing recursive fault but reboot is needed!
Sep 19 10:10:15 localhost kernel: Trying to vfree() nonexistent vm area
(ffffc200000d4000)
Sep 19 10:10:15 localhost kernel: BUG: warning at mm/vmalloc.c:329/__vunmap()
(Not tainted)
Comment 2 Naoki 2006-09-18 21:33:52 EDT
Created attachment 136594 [details]
Entries from /var/log/messages file showing kernel errors.
Comment 3 Naoki 2006-09-20 21:33:54 EDT
As 2.6.17-1.2630.fc6 actually boots I'll close this ticket and open another for
crashing problems under 2647.
Comment 4 Naoki 2006-09-26 03:09:34 EDT
Just tested kernel-xen-2.6.18-1.2693.fc6 and it fails to boot at all.  Just past
the USB, UHCI initialization I get :

"GSI 21 sharing vector 0xc8 and IRQ 21" then nothing, just waits until I power
cycle.
Comment 5 Stephen Tweedie 2006-09-26 04:57:24 EDT
From your last update to bug 207432, it appears that you are still getting the
change_page_attr() BUG()s during boot.  It may well be that the graphical boot
is crashing as soon as it tries to start X; can you try booting without the
"rhgb" option and see if that helps?
Comment 6 Naoki 2006-09-26 05:16:51 EDT
Interesting, while my results were not improved I observed two interesting things :

First, when attempting a cold boot ( from full power off ) I get the "GSI 21
sharing vector 0xC8 and IRQ 21" error/hang.  But when I warm boot (CTRL-ALT-DEL)
this does not happen and booting proceeds.

Second, without the rhgb option in grub I can more clearly see what happens, I
first reported "the screen will either go blank or graphic corruption will
occur" but what is happening is a black screen, with the "X" mouse curson in the
middle of the screen (unmoving) and some screen corruption (mainly in the lower
portion of the screen).
Comment 7 Naoki 2006-09-26 05:17:44 EDT
I should add these tests are still with kernel-xen-2.6.18-1.2693.fc6.
Comment 8 Stephen Tweedie 2006-09-26 07:14:26 EDT
OK: just so I'm understanding this right, it gets as far as trying to start X,
regardless of whether we're using rhgb; and then it dies with a
change_page_attr() bug in /var/log/messages?  Definitely sounds like a dup of
bug 207432 if that's the case.
Comment 9 Naoki 2006-09-26 21:28:27 EDT
Regardless of rhgb it's failing at the same place, X.  However _without_ the
rhgb option I do not have anything untoward (change_page_attr) in my messages file. 

I'm going to run another few tests today :

1. Confirm GSI 21 boot problem.
2. Test with latest rawhide metacity.
3. Double check change_page_attr only happens with 'rhgb'.
Comment 10 Naoki 2006-09-27 02:20:48 EDT
Confirmed, "GSI 21" lock up (can't even CTRL-ALT-DEL) happens with kernel-xen in
both cold-boot, and warm-boot situations.  This is a major blocker to my furtehr
(X) testing.

Latest rawhide makes no difference.

Booting without 'rhgb' in my grub options removes the "change_page_attr" error
message in my messages file but still I cannot boot, let alone into X.
Comment 11 Naoki 2006-09-28 22:23:27 EDT
Also confirmed that kernel-xen 2699 fails to boot on my Dell Optiplex GX620,
hanging at the "GSI 21" message.  It requires a power cycle.

Good news is the "change_page_attr" bug with gdm is gone under gdm-2.16.0-10.fc6.
Comment 12 Naoki 2006-10-04 22:35:08 EDT
Problem confirmed under "2.6.18-1.2724.fc6 #1 SMP Sun Oct 1 19:43:37 EDT 2006
x86_64 x86_64 x86_64" as well.
Comment 13 Naoki 2006-10-06 04:45:49 EDT
Just warm booted from kernel 2726 to kernel-xen 2741 and it booted up until such
point as I had given my login details to GDM, at which point X locked, and a
second later the machine was rebooting itself.

There is nothing in the messages file to indicate what the error may be..

Oct  6 17:35:36 localhost kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16
(level, low) -> IRQ 16
Oct  6 17:35:36 localhost kernel: [drm] Initialized i915 1.5.0 20060119 on minor 0
Oct  6 17:35:40 localhost gdm[2858]: no suitable security token driver could be
found

..<here is pops it's cloggs>...

Oct  6 17:37:31 localhost syslogd 1.4.1: restart.
Oct  6 17:37:31 localhost kernel: klogd 1.4.1, log source = /proc/kmsg started.
Oct  6 17:37:31 localhost kernel: Bootdata ok (command line is ro
root=/dev/VolGroup00/LogVol00 rhgb quiet)
Comment 14 Stephen Tweedie 2006-10-06 06:19:51 EDT
Can you please try to capture the kernel boot output with serial console?  It's
really going to be impossible to debug this further without the kernel logs. 
Thanks.
Comment 15 Naoki 2006-10-15 18:49:56 EDT
Understood, I don't have a second machine available so this will take some time.
In the meantime though here are some notes.  

2.6.18-1.2784.fc6xen - Does not boot, it prints "RedHat nash 5.1.19 Starting"
and hangs until power cycle.

2.6.18-1.2759.fc6xen - Boots! Then dies on X.  I did see on the console
something akin to "BUG: spinlock (*big hex value here*) not tainted"

And this was in my messages file :

Oct 14 01:18:54 localhost kernel: [drm] Initialized i915 1.5.0 20060119 on minor 0
Oct 14 01:18:59 localhost kernel: Unable to handle kernel NULL pointer
dereference at 000000000000005a RIP:
Oct 14 01:18:59 localhost kernel:  [<ffffffff8020f48d>] generic_permission+0x2e/0xca
Oct 14 01:18:59 localhost kernel: PGD 69658067 PUD 45027067 PMD 0
Oct 14 01:18:59 localhost kernel: Oops: 0000 [1] SMP
Oct 14 01:18:59 localhost kernel: last sysfs file: /class/drm/card0/dev
Oct 14 01:18:59 localhost kernel: CPU 1
Oct 14 01:18:59 localhost kernel: Modules linked in: i915 drm loop xt_physdev
bridge netloop netbk blktap blkbk autofs4 ipv6 lock_dlm gfs2 dlm configfs sunrpc
ip_conntrack_ftp ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables video sbs i2c_ec button
battery asus_acpi ac parport_pc lp parport snd_intel8x0 snd_ac97_codec
snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq sg
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm ide_cd intel_rng snd_timer snd
cdrom soundcore tg3 i2c_i801 i2c_core shpchp snd_page_alloc pcspkr serio_raw
dm_snapshot dm_zero dm_mirror dm_mod ata_piix libata sd_mod scsi_mod ext3 jbd
ehci_hcd ohci_hcd uhci_hcd
Oct 14 01:18:59 localhost kernel: Pid: 3718, comm: gdmgreeter Not tainted
2.6.18-1.2784.fc6xen #1
Oct 14 01:18:59 localhost kernel: RIP: e030:[<ffffffff8020f48d>] 
[<ffffffff8020f48d>] generic_permission+0x2e/0xca
Oct 14 01:18:59 localhost kernel: RSP: e02b:ffff88004500ddd8  EFLAGS: 00010202
Oct 14 01:18:59 localhost kernel: RAX: 0000000000000000 RBX: 00000000ffffffff
RCX: 0000000000000361
Oct 14 01:18:59 localhost kernel: RDX: 0000000000000000 RSI: 0000000000000004
RDI: ffff880071993138
Oct 14 01:18:59 localhost kernel: RBP: ffff880071993138 R08: ffff88004500da88
R09: 0000000000000000
Oct 14 01:18:59 localhost kernel: R10: 0000000000000001 R11: 0000000000000001
R12: 0000000000000004
Oct 14 01:18:59 localhost kernel: R13: ffff88004500dea8 R14: ffff880071992b58
R15: 0000000000000004
Oct 14 01:18:59 localhost kernel: FS:  00002aaaaaac0f90(0000)
GS:ffffffff80591080(0000) knlGS:0000000000000000
Oct 14 01:18:59 localhost kernel: CS:  e033 DS: 0000 ES: 0000
Oct 14 01:18:59 localhost kernel: Process gdmgreeter (pid: 3718, threadinfo
ffff88004500c000, task ffff8800752a07d0)
Oct 14 01:19:00 localhost kernel: Stack:  ffff880071993138  0000000000000004 
ffff88004500dea8  ffffffff8020d994
Oct 14 01:19:00 localhost kernel:  ffff880071993138  0000000000008001 
00000000ffffffd8  ffffffff802123cd
Oct 14 01:19:00 localhost kernel:  0000000000000000  ffff88004500dea8
Oct 14 01:19:00 localhost kernel: Call Trace:
Oct 14 01:19:00 localhost kernel:  [<ffffffff8020d994>] permission+0x8d/0xc8
Oct 14 01:19:00 localhost kernel:  [<ffffffff802123cd>] may_open+0x58/0x21e
Oct 14 01:19:00 localhost kernel:  [<ffffffff8021aa7e>] open_namei+0x2c5/0x6da
Oct 14 01:19:00 localhost kernel:  [<ffffffff80261a44>]
_spin_unlock_irqrestore+0x9/0x19
Oct 14 01:19:00 localhost kernel:  [<ffffffff80227758>] do_filp_open+0x1c/0x38
Oct 14 01:19:00 localhost kernel:  [<ffffffff80215ce7>] get_unused_fd+0xf9/0x107
Oct 14 01:19:00 localhost kernel:  [<ffffffff802195a8>] do_sys_open+0x44/0xbe
Oct 14 01:19:00 localhost kernel:  [<ffffffff8025d5b2>] system_call+0x86/0x8b
Oct 14 01:19:00 localhost kernel:  [<ffffffff8025d52c>] system_call+0x0/0x8b
Oct 14 01:19:00 localhost kernel:
Oct 14 01:19:01 localhost kernel: 
Oct 14 01:19:01 localhost kernel: Code: f6 40 5a 01 74 16 f6 c3 38 74 11 48 85
d2 74 0c ff d2 83 f8 
Oct 14 01:19:01 localhost kernel: RIP  [<ffffffff8020f48d>]
generic_permission+0x2e/0xca
Oct 14 01:19:01 localhost kernel:  RSP <ffff88004500ddd8>
Oct 14 01:19:01 localhost kernel: CR2: 000000000000005a
Oct 14 01:19:02 localhost kernel:  <3>list_del corruption. next->prev should be
ffff88006ce16040, but was 0000000000000000
Oct 14 01:19:02 localhost kernel: ----------- [cut here ] --------- [please bite
here ] ---------
Oct 14 01:19:02 localhost kernel: Kernel BUG at lib/list_debug.c:70
Oct 14 01:19:02 localhost kernel: invalid opcode: 0000 [2] SMP
Oct 14 01:19:02 localhost kernel: last sysfs file: /class/drm/card0/dev
Oct 14 01:19:02 localhost kernel: CPU 0
Oct 14 01:19:02 localhost kernel: Modules linked in: i915 drm loop xt_physdev
bridge netloop netbk blktap blkbk autofs4 ipv6 lock_dlm gfs2 dlm configfs sunrpc
ip_conntrack_ftp ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables video sbs i2c_ec button
battery asus_acpi ac parport_pc lp parport snd_intel8x0 snd_ac97_codec
snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq sg
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm ide_cd intel_rng snd_timer snd
cdrom soundcore tg3 i2c_i801 i2c_core shpchp snd_page_alloc pcspkr serio_raw
dm_snapshot dm_zero dm_mirror dm_mod ata_piix libata sd_mod scsi_mod ext3 jbd
ehci_hcd ohci_hcd uhci_hcd
Oct 14 01:19:02 localhost kernel: Pid: 3727, comm: syslogd Not tainted
2.6.18-1.2784.fc6xen #1
Oct 14 01:19:02 localhost kernel: RIP: e030:[<ffffffff8032c919>] 
[<ffffffff8032c919>] list_del+0x48/0x71
Oct 14 01:19:02 localhost kernel: RSP: e02b:ffff880049205ad8  EFLAGS: 00010086
Oct 14 01:19:02 localhost kernel: RAX: 0000000000000058 RBX: ffff88006ce16040
RCX: ffffffff804bf7b8
Oct 14 01:19:02 localhost kernel: RDX: 0000000000000000 RSI: 0000000000000001
RDI: 0000000000000001
Oct 14 01:19:02 localhost kernel: RBP: ffff880075198800 R08: ffffffff804bf7b8
R09: 000000000000657d
Oct 14 01:19:02 localhost kernel: R10: 0000000000000000 R11: ffffffff8033f3a3
R12: ffff8800013cc2c0
Oct 14 01:19:02 localhost kernel: R13: 0000000000000024 R14: ffff8800013c81c0
R15: 0000000000000000
Oct 14 01:19:02 localhost kernel: FS:  00002aaaab0146f0(0000)
GS:ffffffff80591000(0000) knlGS:0000000000000000
Oct 14 01:19:02 localhost kernel: CS:  e033 DS: 0000 ES: 0000
Oct 14 01:19:02 localhost kernel: Process syslogd (pid: 3727, threadinfo
ffff880049204000, task ffff880069843080)
Oct 14 01:19:02 localhost kernel: Stack:  ffff88006ce16040  ffffffff8025c6d0 
0000000000000000  0000000000000850 
Oct 14 01:19:02 localhost kernel:  0000000000000000  0000000000000000 
ffff880049205cd8  ffff8800013c81c0
Oct 14 01:19:02 localhost kernel:  0000000000000000  0000000000000850 
Oct 14 01:19:02 localhost kernel: Call Trace:
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025c6d0>]
cache_alloc_refill+0x126/0x4bd
Oct 14 01:19:02 localhost kernel:  [<ffffffff802beb10>] __kmalloc+0x8e/0xb0
Oct 14 01:19:02 localhost kernel:  [<ffffffff88033f12>]
:jbd:start_this_handle+0x8b/0x3ad
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020b982>] __might_sleep+0x26/0xc6
Oct 14 01:19:02 localhost kernel:  [<ffffffff880342fd>]
:jbd:journal_start+0xc9/0x101
Oct 14 01:19:02 localhost kernel:  [<ffffffff88052b46>]
:ext3:ext3_dirty_inode+0x28/0x7b
Oct 14 01:19:02 localhost kernel:  [<ffffffff80213b30>]
__mark_inode_dirty+0x29/0x178
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020c49a>]
do_generic_mapping_read+0x414/0x456
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020d151>] file_read_actor+0x0/0x10d
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020c644>]
__generic_file_aio_read+0x168/0x1be
Oct 14 01:19:02 localhost kernel:  [<ffffffff80216ac1>]
generic_file_aio_read+0x34/0x39
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020ceb3>] do_sync_read+0xc7/0x104
Oct 14 01:19:02 localhost kernel:  [<ffffffff80295e57>]
autoremove_wake_function+0x0/0x2e
Oct 14 01:19:02 localhost kernel:  [<ffffffff8023a6ac>] fcntl_setlk+0x22f/0x25c
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020b5be>] vfs_read+0xcb/0x171
Oct 14 01:19:02 localhost kernel:  [<ffffffff80211b39>] sys_read+0x45/0x6e
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025d5b2>] system_call+0x86/0x8b
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025d52c>] system_call+0x0/0x8b
Oct 14 01:19:02 localhost kernel:  
Oct 14 01:19:02 localhost kernel:
Oct 14 01:19:02 localhost kernel: Code: 0f 0b 68 49 52 47 80 c2 46 00 48 8b 13
48 8b 43 08 48 89 42
Oct 14 01:19:02 localhost kernel: RIP  [<ffffffff8032c919>] list_del+0x48/0x71
Oct 14 01:19:02 localhost kernel:  RSP <ffff880049205ad8>
Oct 14 01:19:02 localhost kernel:  <3>BUG: sleeping function called from invalid
context at kernel/rwsem.c:20
Oct 14 01:19:02 localhost kernel: in_atomic():0, irqs_disabled():1
Oct 14 01:19:02 localhost kernel:
Oct 14 01:19:02 localhost kernel: Call Trace:
Oct 14 01:19:02 localhost kernel:  [<ffffffff8029801a>] down_read+0x15/0x23
Oct 14 01:19:02 localhost kernel:  [<ffffffff80290582>]
blocking_notifier_call_chain+0x13/0x36
Oct 14 01:19:02 localhost kernel:  [<ffffffff802152ea>] do_exit+0x1f/0x8a3
Oct 14 01:19:02 localhost kernel:  [<ffffffff80269d12>] kernel_math_error+0x0/0x90
Oct 14 01:19:02 localhost kernel:  [<ffffffff8026a2e8>] do_invalid_op+0xb1/0xbb
Oct 14 01:19:02 localhost kernel:  [<ffffffff8032c919>] list_del+0x48/0x71
Oct 14 01:19:02 localhost kernel:  [<ffffffff80286441>] printk+0x52/0xc6
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025dcd3>] error_exit+0x0/0x6e
Oct 14 01:19:02 localhost kernel:  [<ffffffff8033f3a3>] vgacon_cursor+0x0/0x1a5
Oct 14 01:19:02 localhost kernel:  [<ffffffff8032c919>] list_del+0x48/0x71
Oct 14 01:19:02 localhost kernel:  [<ffffffff8032c919>] list_del+0x48/0x71
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025c6d0>]
cache_alloc_refill+0x126/0x4bd
Oct 14 01:19:02 localhost kernel:  [<ffffffff802beb10>] __kmalloc+0x8e/0xb0
Oct 14 01:19:02 localhost kernel:  [<ffffffff88033f12>]
:jbd:start_this_handle+0x8b/0x3ad
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020b982>] __might_sleep+0x26/0xc6
Oct 14 01:19:02 localhost kernel:  [<ffffffff880342fd>]
:jbd:journal_start+0xc9/0x101
Oct 14 01:19:02 localhost kernel:  [<ffffffff88052b46>]
:ext3:ext3_dirty_inode+0x28/0x7b
Oct 14 01:19:02 localhost kernel:  [<ffffffff80213b30>]
__mark_inode_dirty+0x29/0x178
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020c49a>]
do_generic_mapping_read+0x414/0x456
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020d151>] file_read_actor+0x0/0x10d
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020c644>]
__generic_file_aio_read+0x168/0x1be
Oct 14 01:19:02 localhost kernel:  [<ffffffff80216ac1>]
generic_file_aio_read+0x34/0x39
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020ceb3>] do_sync_read+0xc7/0x104
Oct 14 01:19:02 localhost kernel:  [<ffffffff80295e57>]
autoremove_wake_function+0x0/0x2e
Oct 14 01:19:02 localhost kernel:  [<ffffffff8023a6ac>] fcntl_setlk+0x22f/0x25c
Oct 14 01:19:02 localhost kernel:  [<ffffffff8020b5be>] vfs_read+0xcb/0x171
Oct 14 01:19:02 localhost kernel:  [<ffffffff80211b39>] sys_read+0x45/0x6e
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025d5b2>] system_call+0x86/0x8b
Oct 14 01:19:02 localhost kernel:  [<ffffffff8025d52c>] system_call+0x0/0x8b
Oct 14 01:19:02 localhost kernel:
Oct 14 01:19:04 localhost kernel: Unable to handle kernel NULL pointer
dereference at 000000000000005a RIP:
Oct 14 01:19:04 localhost kernel:  [<ffffffff8020f48d>] generic_permission+0x2e/0xca
Oct 14 01:19:04 localhost kernel: PGD 633c1067 PUD 3e044067 PMD 0
Oct 14 01:19:04 localhost kernel: Oops: 0000 [3] SMP
Oct 14 01:19:04 localhost kernel: last sysfs file: /class/drm/card0/dev
Oct 14 01:19:04 localhost kernel: CPU 1
Oct 14 01:19:04 localhost kernel: Modules linked in: i915 drm loop xt_physdev
bridge netloop netbk blktap blkbk autofs4 ipv6 lock_dlm gfs2 dlm configfs sunrpc
ip_conntrack_ftp ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables video sbs i2c_ec button
battery asus_acpi ac parport_pc lp parport snd_intel8x0 snd_ac97_codec
snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq sg
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm ide_cd intel_rng snd_timer snd
cdrom soundcore tg3 i2c_i801 i2c_core shpchp snd_page_alloc pcspkr serio_raw
dm_snapshot dm_zero dm_mirror dm_mod ata_piix libata sd_mod scsi_mod ext3 jbd
ehci_hcd ohci_hcd uhci_hcd
Oct 14 01:19:04 localhost kernel: Pid: 3750, comm: gdmgreeter Not tainted
2.6.18-1.2784.fc6xen #1
Oct 14 01:19:04 localhost kernel: RIP: e030:[<ffffffff8020f48d>] 
[<ffffffff8020f48d>] generic_permission+0x2e/0xca
Oct 14 01:19:04 localhost kernel: RSP: e02b:ffff88003e0f9dd8  EFLAGS: 00010202
Oct 14 01:19:04 localhost kernel: RAX: 0000000000000000 RBX: 00000000ffffffff
RCX: 0000000000000355
Oct 14 01:19:04 localhost kernel: RDX: 0000000000000000 RSI: 0000000000000004
RDI: ffff880071993138
Oct 14 01:19:04 localhost kernel: RBP: ffff880071993138 R08: ffff88003e0f9a88
R09: 0000000000000000
Oct 14 01:19:04 localhost kernel: R10: 0000000000000001 R11: 0000000000000001
R12: 0000000000000004
Oct 14 01:19:04 localhost kernel: R13: ffff88003e0f9ea8 R14: ffff880071992b58
R15: 0000000000000004
Oct 14 01:19:04 localhost kernel: FS:  00002aaaaaacdec0(0000)
GS:ffffffff80591080(0000) knlGS:0000000000000000
Oct 14 01:19:04 localhost kernel: CS:  e033 DS: 0000 ES: 0000
Oct 14 01:19:04 localhost kernel: Process gdmgreeter (pid: 3750, threadinfo
ffff88003e0f8000, task ffff880069aad080)
Oct 14 01:19:04 localhost kernel: Stack:  ffff880071993138  0000000000000004 
ffff88003e0f9ea8  ffffffff8020d994
Oct 14 01:19:04 localhost kernel:  ffff880071993138  0000000000008001 
00000000ffffffd8  ffffffff802123cd
Oct 14 01:19:04 localhost kernel:  0000000000000000  ffff88003e0f9ea8 
Oct 14 01:19:04 localhost kernel: Call Trace:
Oct 14 01:19:04 localhost kernel:  [<ffffffff8020d994>] permission+0x8d/0xc8
Oct 14 01:19:04 localhost kernel:  [<ffffffff802123cd>] may_open+0x58/0x21e
Oct 14 01:19:04 localhost kernel:  [<ffffffff8021aa7e>] open_namei+0x2c5/0x6da
Oct 14 01:19:04 localhost kernel:  [<ffffffff80261a44>]
_spin_unlock_irqrestore+0x9/0x19
Oct 14 01:19:04 localhost kernel:  [<ffffffff80227758>] do_filp_open+0x1c/0x38
Oct 14 01:19:04 localhost kernel:  [<ffffffff80215ce7>] get_unused_fd+0xf9/0x107
Oct 14 01:19:04 localhost kernel:  [<ffffffff802195a8>] do_sys_open+0x44/0xbe
Oct 14 01:19:04 localhost kernel:  [<ffffffff8025d5b2>] system_call+0x86/0x8b
Oct 14 01:19:04 localhost kernel:  [<ffffffff8025d52c>] system_call+0x0/0x8b
Oct 14 01:19:04 localhost kernel:  
Oct 14 01:19:04 localhost kernel:  
Oct 14 01:19:04 localhost kernel: Code: f6 40 5a 01 74 16 f6 c3 38 74 11 48 85
d2 74 0c ff d2 83 f8
Oct 14 01:19:04 localhost kernel: RIP  [<ffffffff8020f48d>]
generic_permission+0x2e/0xca
Oct 14 01:19:04 localhost kernel:  RSP <ffff88003e0f9dd8>
Oct 14 01:19:04 localhost kernel: CR2: 000000000000005a 
Comment 16 Naoki 2006-10-19 04:15:00 EDT
I ran another test.

I booted 2.6.18-1.2798.fc6xen into init 3 and ran a test of installing two DomU
instances simultaneously and all worked a charm. So either somewhere along the
line the "GSI" problem has been fixed, or I was randomly lucky.

I'll close in case it was the former case.

However, kernel-xen still fails to be stable when X is running on my system.
I'll look at BZ 207883 & 207432. 

Note You need to log in before you can comment on or make changes to this bug.